Subject: Re: bug#16736: Compiling a Lisp file causes display to flash off and on

From: martin rudalics <[email-masked]>
Date: Tue, 18 Feb 2014 12:02:41 +0100

> So the only important part here is setting FRAME_PIXEL_HEIGHT and
 > other fields of the frame struct.
 >
 > widget.c is compiled only for X toolkits, right?  So I think making
 > update_various_frame_slots consistent with change_frame_size_1 when
 > USE_X_TOOLKIT will fix the problem.

I defined out the assignments in update_various_frame_slots.  I saw no
other way because FRAME_PIXEL_HEIGHT inherently records the "old"
internal border width (that's all it does IIUC).  When the border width
changes, the text height remains unaltered, and I see no alternate means
to detect the change and redraw the frame appropriately.

martin